/**
 * output package name
 */
package com.kingdee.eas.custom.expandassess.app;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class AssessRatingEnum extends StringEnum
{
    public static final String APLUS_VALUE = "1";//alias=A+
    public static final String A_VALUE = "2";//alias=A
    public static final String BPLUS_VALUE = "3";//alias=B+
    public static final String B_VALUE = "4";//alias=B
    public static final String BMIUS_VALUE = "5";//alias=B-
    public static final String C_VALUE = "6";//alias=C
    public static final String D_VALUE = "7";//alias=D

    public static final AssessRatingEnum APLUS = new AssessRatingEnum("APLUS", APLUS_VALUE);
    public static final AssessRatingEnum A = new AssessRatingEnum("A", A_VALUE);
    public static final AssessRatingEnum BPLUS = new AssessRatingEnum("BPLUS", BPLUS_VALUE);
    public static final AssessRatingEnum B = new AssessRatingEnum("B", B_VALUE);
    public static final AssessRatingEnum BMIUS = new AssessRatingEnum("BMIUS", BMIUS_VALUE);
    public static final AssessRatingEnum C = new AssessRatingEnum("C", C_VALUE);
    public static final AssessRatingEnum D = new AssessRatingEnum("D", D_VALUE);

    /**
     * construct function
     * @param String assessRatingEnum
     */
    private AssessRatingEnum(String name, String assessRatingEnum)
    {
        super(name, assessRatingEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static AssessRatingEnum getEnum(String assessRatingEnum)
    {
        return (AssessRatingEnum)getEnum(AssessRatingEnum.class, assessRatingEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(AssessRatingEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(AssessRatingEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(AssessRatingEnum.class);
    }
}